## mpi-defaults 1.14

=== debian/changelog ===
mpi-defaults (1.14) unstable; urgency=medium

  * Team upload.
  * Change sh4 and m68k from mpich to openmpi.  Closes: #853029
  * Bump debhelper compat level to 13
    + Use the new debhelper-compat (=13) notation and remove d/compat.
  * d/control: Bump Standards-Version to 4.5.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Aug 2021 15:46:55 +0200
