## mpi-defaults 1.15

=== debian/changelog ===
mpi-defaults (1.15) unstable; urgency=medium

  * Team upload.
  [ Dandan Zhang ]
  * Add support for loong64. Closes: #1050845.
    Both OpenMPI and MPICH are available. OpenMPI is the default.
  [ Samuel Thibault ]
  * Add support for hurd-amd64. Closes: #1055458.
    Both OpenMPI and MPICH are available. OpenMPI is the default.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Nov 2023 22:25:00 +0100
