## mpi-defaults 1.15build1

=== debian/changelog ===
mpi-defaults (1.15build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:10:48 +0200
