=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Source: mpi-defaults
 Section: devel
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Manuel Prinz <manuel@debian.org>,
  Alastair McKinstry <mckinstry@debian.org>,
