=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,13 @@
 	armel \
 	armhf \
 	hppa \
+	hurd-amd64 \
 	hurd-i386 \
 	i386 \
 	ia64 \
 	kfreebsd-amd64 \
 	kfreebsd-i386 \
+	loong64 \
 	mips \
 	mips64el \
 	mipsel \
@@ -42,11 +44,13 @@
 	armel \
 	armhf \
 	hppa \
+	hurd-amd64 \
 	hurd-i386 \
 	i386 \
 	ia64 \
 	kfreebsd-amd64 \
 	kfreebsd-i386 \
+	loong64 \
 	m68k \
 	mips \
 	mips64el \
@@ -71,11 +75,13 @@
 	armel \
 	armhf \
 	hppa \
+	hurd-amd64 \
 	hurd-i386 \
 	i386 \
 	ia64 \
 	kfreebsd-amd64 \
 	kfreebsd-i386 \
+	loong64 \
 	m68k \
 	mips \
 	mips64el \
