## mpi-defaults 1.17

=== debian/changelog ===
mpi-defaults (1.17) unstable; urgency=medium

  * Team Upload
  [ Alastair McKinstry ]
  Push to unstable for 32-bit on mpich only

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jul 2024 06:39:00 +0100

mpi-defaults (1.16) experimental; urgency=medium

  * Team Upload
  [ Alastair McKinstry ]
  * OpenMPI no longer supports 32-bit archs as of 5.0.0
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Feb 2024 12:21:09 +0000
