=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Source: mpi-defaults
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Manuel Prinz <manuel@debian.org>,
  Alastair McKinstry <mckinstry@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- libopenmpi-dev (>= 1.4.3-2.1) [alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
- openmpi-bin (>= 1.4.3-2.1) [alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
-# libmpich-dev [],
-# mpich []
+ libopenmpi-dev (>= 1.4.3-2.1) [alpha amd64 arm64 hurd-amd64 ia64 kfreebsd-amd64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
+ openmpi-bin (>= 1.4.3-2.1) [alpha amd64 arm64 hurd-amd64 ia64 kfreebsd-amd64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
+ libmpich-dev [armel armhf hppa hurd-i386 i386 kfreebsd-i386 m68k mips mipsel powerpc powerpcspe sh4 x32],
+ mpich [armel armhf hppa hurd-i386 i386 kfreebsd-i386 m68k mips mipsel powerpc powerpcspe sh4 x32]
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/mpi-defaults
