=== debian/rules ===
--- 
+++ 
@@ -13,29 +13,16 @@
 	alpha \
 	amd64 \
 	arm64 \
-	armel \
-	armhf \
-	hppa \
 	hurd-amd64 \
-	hurd-i386 \
-	i386 \
 	ia64 \
 	kfreebsd-amd64 \
-	kfreebsd-i386 \
 	loong64 \
-	mips \
 	mips64el \
-	mipsel \
-	m68k \
-	powerpc \
-	powerpcspe \
 	ppc64 \
 	ppc64el \
 	riscv64 \
 	s390x \
-	sh4 \
 	sparc64 \
-	x32 \
 
 MPICH_AVAILABLE_ARCHITECTURES := \
 	alpha \
@@ -72,32 +59,32 @@
 	alpha \
 	amd64 \
 	arm64 \
-	armel \
-	armhf \
-	hppa \
 	hurd-amd64 \
-	hurd-i386 \
-	i386 \
 	ia64 \
 	kfreebsd-amd64 \
-	kfreebsd-i386 \
 	loong64 \
-	m68k \
-	mips \
 	mips64el \
-	mipsel \
-	powerpc \
-	powerpcspe \
 	ppc64 \
 	ppc64el \
 	riscv64 \
 	s390x \
-	sh4 \
 	sparc64 \
-	x32 \
 
 # uncomment the mpich lines in d/control.in if you are going to add something here again
 MPICH_ARCHITECTURES := \
+	armel \
+	armhf \
+	hppa \
+	hurd-i386 \
+	i386 \
+	kfreebsd-i386 \
+	m68k \
+	mips \
+	mipsel \
+	powerpc \
+	powerpcspe \
+	sh4 \
+	x32 \
 
 
 %:
