## mpi-defaults 1.18

=== debian/changelog ===
mpi-defaults (1.18) unstable; urgency=medium

  * Team Upload

  [ Alastair McKinstry ]
  * Drop support for kfreebsd-*, ia64

  [ Andreas Beckmann ]
  * Add superficial autopkgtests building and running trivial MPI programs
    using mpicc, mpiCC, mpif77, mpif90, pkg-config mpi, pkg-config mpi-c,
    pkg-config mpi-fort. Based on the mpich autopkgtests.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Dec 2024 12:12:34 +0100
