=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,6 @@
 	amd64 \
 	arm64 \
 	hurd-amd64 \
-	ia64 \
-	kfreebsd-amd64 \
 	loong64 \
 	mips64el \
 	ppc64 \
@@ -34,9 +32,6 @@
 	hurd-amd64 \
 	hurd-i386 \
 	i386 \
-	ia64 \
-	kfreebsd-amd64 \
-	kfreebsd-i386 \
 	loong64 \
 	m68k \
 	mips \
@@ -60,8 +55,6 @@
 	amd64 \
 	arm64 \
 	hurd-amd64 \
-	ia64 \
-	kfreebsd-amd64 \
 	loong64 \
 	mips64el \
 	ppc64 \
@@ -77,7 +70,6 @@
 	hppa \
 	hurd-i386 \
 	i386 \
-	kfreebsd-i386 \
 	m68k \
 	mips \
 	mipsel \
