=== debian/tests/control ===
Test-Command: debian/tests/mpi-compile-run mpicc hello.c
Features: test-name=mpi-compile-run-mpicc
Depends:
 gcc,
 mpi-default-dev,
Restrictions:
 allow-stderr,
 superficial,

Test-Command: debian/tests/mpi-compile-run mpiCC hello.cpp
Features: test-name=mpi-compile-run-mpiCC
Depends:
 g++,
 mpi-default-dev,
Restrictions:
 allow-stderr,
 superficial,

Test-Command: debian/tests/mpi-compile-run mpif77 hello.f
Features: test-name=mpi-compile-run-mpif77
Depends:
 gfortran,
 mpi-default-dev,
Restrictions:
 allow-stderr,
 superficial,

Test-Command: debian/tests/mpi-compile-run mpif90 hello.f90
Features: test-name=mpi-compile-run-mpif90
Depends:
 gfortran,
 mpi-default-dev,
Restrictions:
 allow-stderr,
 superficial,

Test-Command: debian/tests/mpi-compile-run cc hello.c pkg-config mpi --libs --cflags
Features: test-name=mpi-compile-run-cc-pkgconf-mpi
Depends:
 gcc,
 mpi-default-dev,
 pkgconf,
Restrictions:
 allow-stderr,
 superficial,

Test-Command: debian/tests/mpi-compile-run cc hello.c pkg-config mpi-c --libs --cflags
Features: test-name=mpi-compile-run-cc-pkgconf-mpi-c
Depends:
 gcc,
 mpi-default-dev,
 pkgconf,
Restrictions:
 allow-stderr,
 superficial,

Test-Command: debian/tests/mpi-compile-run gfortran hello.f90 pkg-config mpi --libs --cflags
Features: test-name=mpi-compile-run-f90-pkgconf-mpi
Depends:
 gfortran,
 mpi-default-dev,
 pkgconf,
Restrictions:
 allow-stderr,
 superficial,

Test-Command: debian/tests/mpi-compile-run gfortran hello.f90 pkg-config mpi-fort --libs --cflags
Features: test-name=mpi-compile-run-f90-pkgconf-mpi-fort
Depends:
 gfortran,
 mpi-default-dev,
 pkgconf,
Restrictions:
 allow-stderr,
 superficial,
