## mpi-defaults 1.19

=== debian/changelog ===
mpi-defaults (1.19) unstable; urgency=medium

  * Team upload

  [ Alastair McKinstry ]
  * Drop mpi-c and mpi-fort pkgconf tests as not supported by mpich.
  Closes: #1116131

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Sep 2025 08:25:12 +0100
