=== debian/tests/control ===
--- 
+++ 
@@ -43,33 +43,3 @@
 Restrictions:
  allow-stderr,
  superficial,
-
-Test-Command: debian/tests/mpi-compile-run cc hello.c pkg-config mpi-c --libs --cflags
-Features: test-name=mpi-compile-run-cc-pkgconf-mpi-c
-Depends:
- gcc,
- mpi-default-dev,
- pkgconf,
-Restrictions:
- allow-stderr,
- superficial,
-
-Test-Command: debian/tests/mpi-compile-run gfortran hello.f90 pkg-config mpi --libs --cflags
-Features: test-name=mpi-compile-run-f90-pkgconf-mpi
-Depends:
- gfortran,
- mpi-default-dev,
- pkgconf,
-Restrictions:
- allow-stderr,
- superficial,
-
-Test-Command: debian/tests/mpi-compile-run gfortran hello.f90 pkg-config mpi-fort --libs --cflags
-Features: test-name=mpi-compile-run-f90-pkgconf-mpi-fort
-Depends:
- gfortran,
- mpi-default-dev,
- pkgconf,
-Restrictions:
- allow-stderr,
- superficial,
