## mpi-defaults 1.20

=== debian/changelog ===
mpi-defaults (1.20) unstable; urgency=medium

  * Team upload

  [ Alastair McKinstry ]
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Drop dead powerpcspe port

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Jan 2026 16:50:24 +0000
