=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 #
 Source: mpi-defaults
 Section: devel
-Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Manuel Prinz <manuel@debian.org>,
@@ -12,15 +11,15 @@
  debhelper-compat (= 13),
  libopenmpi-dev (>= 1.4.3-2.1) [alpha amd64 arm64 hurd-amd64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
  openmpi-bin (>= 1.4.3-2.1) [alpha amd64 arm64 hurd-amd64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
- libmpich-dev [armel armhf hppa hurd-i386 i386 m68k mips mipsel powerpc powerpcspe sh4 x32],
- mpich [armel armhf hppa hurd-i386 i386 m68k mips mipsel powerpc powerpcspe sh4 x32]
+ libmpich-dev [armel armhf hppa hurd-i386 i386 m68k mips mipsel powerpc sh4 x32],
+ mpich [armel armhf hppa hurd-i386 i386 m68k mips mipsel powerpc sh4 x32]
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/mpi-defaults
 Vcs-Git: https://salsa.debian.org/science-team/mpi-defaults.git
 
 Package: mpi-default-dev
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
+Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 m68k mips mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
 Section: libdevel
 Depends: ${mpi-dev}, ${misc:Depends}
 Description: Standard MPI development files (metapackage)
@@ -31,7 +30,7 @@
  compilers mpicc, mpic++/mpicxx/mpiCC, mpif77 and mpi90 and their manpages.
 
 Package: mpi-default-bin
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
+Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 m68k mips mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
 Section: net
 Depends: ${mpi}, ${misc:Depends}
 Description: Standard MPI runtime programs (metapackage)
