=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,6 @@
 	mips64el \
 	mipsel \
 	powerpc \
-	powerpcspe \
 	ppc64 \
 	ppc64el \
 	riscv64 \
@@ -74,7 +73,6 @@
 	mips \
 	mipsel \
 	powerpc \
-	powerpcspe \
 	sh4 \
 	x32 \
